using System.ComponentModel;

namespace LeafWeb.Core.Charter
{
	public class CurveData
	{
		public string CurveId { get; set; }

		[DisplayName("Internal conductance fixed, compensation point and M-M constants fixed")]
		public CurveParamSet FixedCndFixedCmp { get; set; }

		[DisplayName("Internal conductance fixed, compensation point and M-M constants estimated")]
		public CurveParamSet FixedCndEstimatedCmp { get; set; }

		[DisplayName("Internal conductance estimated, compensation point and M-M constants fixed")]
		public CurveParamSet EstimatedCndFixedCmp { get; set; }

		[DisplayName("Internal conductance estimated, compensation point and M-M constants estimated")]
		public CurveParamSet EstimatedCndEstimatedCmp { get; set; }
	}
}